data{
    int N;
    vector[N] Y;
    vector[N] X;
    }
parameters{
    real b0;
    real b1;
    real<lower = 0> sgm;
}
transformed parameters{
    vector[N] mu;
    mu = b0 + b1 * X;
}
model{
    b0 ~ normal(0.0, 2.5);
    b1 ~ normal(0.0, 2.5);
    sgm ~ exponential(1/1.0);
    Y ~ normal(mu, sgm);
}
